light-mode-image
Learn
API ReferenceSecurity

Create API Auth Token

POST/oauth/token

Authorization endpoint for gaining token used for API requests requiring bearerAuth.

You will be provided the required client_id and client_secret as part of onboarding.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/oauth/token" \  -H "Content-Type: application/json" \  -d '{    "client_id": "htf792W4p4MedZbnoWAs51EfqUt4d2",    "client_secret": "d3fYDX7FjPg1D1h2viARXsolPByQ9vMfg8LHylBy8F4s5KJLB4HhHGOxxqJnSj3G",    "audience": "https://learn.vii.au01.mattr.global",    "grant_type": "client_credentials"  }'
{  "access_token": "string",  "expires_in": 0,  "token_type": "string"}

How would you rate this page?